> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.synthesia.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.synthesia.io/docs/_mcp/server.

# Get user media asset

GET https://api.synthesia.io/v2/assets/{user_media_asset_id}

Retrieves a user uploaded media asset by its ID. Returns the asset's status, title, content type, and metadata including detected language if available. Currently only supports user-uploaded assets in the dubbing configuration.

Reference: https://developers.synthesia.io/docs/video-api-reference/assets/get-user-media-asset

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `user_media_asset_id` (string, required) — The unique identifier of the media asset to retrieve.

## Response

### 200

Success. Returns the media asset details.

- `id` (string, required)
- `title` (string, required) — The title of the user uploaded asset.
- `contentType` (enum, required) — The content type of the user uploaded asset.
  - Allowed values: `image/webp`, `image/jpeg`, `image/png`, `image/svg+xml`, `image/gif`, `video/mp4`, `video/webm`, `video/quicktime`, `audio/wav`, `audio/mpeg`, `audio/ogg`, `audio/aac`, `audio/flac`, `audio/mp4`, `audio/webm`, `font/otf`, `font/ttf`, `font/woff`, `application/font-woff`, `font/woff2`, `application/vnd.ms-powerpoint`, `application/vnd.openxmlformats-officedocument.presentationml.presentation`, `application/vnd.synthesia.studio-video`, `application/vnd.synthesia.studio-imported-video`, `application/vnd.synthesia.studio-dubbed-video`, `application/vnd.synthesia.studio-photo-avatar-video`, `application/vnd.synthesia.studio-synthesia-academy-video`, `application/vnd.synthesia.studio-synthesia-feature-overview-video`, `application/vnd.synthesia.studio-synthesia-example-video`, `application/vnd.synthesia.studio-synthesia-demo-video`, `application/vnd.synthesia.studio-synthesia-welcome-webinar-video`, `application/vnd.synthesia.studio-user-template`, `application/vnd.synthesia.studio-synthesia-template`, `application/vnd.synthesia.studio-synthesia-processed-gif`, `application/vnd.synthesia.studio-user-course`, `application/vnd.synthesia.font-family`, `application/vnd.synthesia.folder`, `application/json`, `application/x-xliff+xml`, `application/pdf`, `text/csv`
- `status` (enum, required) — The status of the user uploaded asset.
  - Allowed values: `awaiting_upload`, `processing`, `error`, `ready`
- `metadata` (GetPublicApiMediaAssetMetadataResponse, required) — A JSON with the metadata of the user uploaded asset.
- `errorCode` (enum, optional, nullable) — The code associated with the status. For example if error the reason behind it
  - Allowed values: `asset_upload`, `language_detect`, `unknown`

## Errors

### 400 Bad Request Error

Bad Request. Asset is not a valid user uploaded asset.

- `error` (string, required)
- `context` (string, optional)

### 404 Not Found Error

Not Found. Asset does not exist or user does not have access.

- `error` (string, required)
- `context` (string, optional)

## Types

### GetPublicApiMediaAssetMetadataResponse

- `detectedLanguage` (enum, optional, nullable) — A class for representing languages according to the BCP-47 standard. The standard is followed very loosely, only primary language and region sub-tags are implemented right now. The display names of the languages are derived from the enum names, with the primary language name capitalized and the region name capitalized and enclosed in parentheses if present. If you need to customize the display name for a specific language, you can override the `override_display_name` method. https://www.w3.org/International/questions/qa-choosing-language-tags
  - Allowed values: `af`, `sq`, `am`, `ar`, `ar-DZ`, `ar-BH`, `ar-EG`, `ar-IQ`, `ar-JO`, `ar-KW`, `ar-LY`, `ar-MA`, `ar-QA`, `ar-SA`, `ar-SY`, `ar-TN`, `ar-AE`, `ar-YE`, `hy`, `as`, `az`, `ba`, `eu`, `be`, `bn`, `bs`, `br`, `bg`, `my`, `ca`, `zh`, `zh-CN`, `zh-HK`, `zh-TW`, `hr`, `cs`, `da`, `nl`, `nl-BE`, `nl-NL`, `en`, `en-AU`, `en-CA`, `en-GB`, `en-HK`, `en-IN`, `en-IE`, `en-KE`, `en-MX`, `en-NZ`, `en-NG`, `en-PH`, `en-SG`, `en-ZA`, `en-TZ`, `en-US`, `et`, `fo`, `fil`, `fi`, `fr`, `fr-BE`, `fr-CA`, `fr-FR`, `fr-CH`, `gl`, `ka`, `de`, `de-AT`, `de-DE`, `de-CH`, `el`, `gu`, `ht`, `ha`, `haw`, `he`, `hi`, `hu`, `is`, `id`, `ga`, `it`, `ja`, `jw`, `kn`, `kk`, `km`, `ko`, `lo`, `la`, `lv`, `ln`, `lt`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `mi`, `mr`, `mn`, `ne`, `no`, `nb`, `nn`, `oc`, `or`, `pa`, `ps`, `fa`, `pl`, `pt`, `pt-BR`, `pt-PT`, `ro`, `ru`, `sa`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `es`, `es-AR`, `es-BO`, `es-CL`, `es-CO`, `es-CR`, `es-CU`, `es-DO`, `es-EC`, `es-SV`, `es-GQ`, `es-GT`, `es-HN`, `es-LA`, `es-MX`, `es-NI`, `es-PA`, `es-PY`, `es-PE`, `es-PR`, `es-ES`, `es-US`, `es-UY`, `es-VE`, `su`, `sw`, `sv`, `tl`, `tg`, `ta`, `ta-IN`, `ta-SG`, `ta-LK`, `tt`, `te`, `th`, `bo`, `tr`, `tk`, `uk`, `ur`, `uz`, `vi`, `cy`, `yi`, `yo`, `zu`, `und`

## Examples

**Response**

```json
{
  "id": "string",
  "title": "string",
  "contentType": "image/webp",
  "status": "awaiting_upload",
  "metadata": {
    "detectedLanguage": "af"
  },
  "errorCode": "asset_upload"
}
```

**SDK Code**

```python
import requests

url = "https://api.synthesia.io/v2/assets/user_media_asset_id"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.synthesia.io/v2/assets/user_media_asset_id';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/assets/user_media_asset_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/assets/user_media_asset_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/assets/user_media_asset_id")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/assets/user_media_asset_id', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/assets/user_media_asset_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/assets/user_media_asset_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```